%define _localstatedir /var

Summary:	An improved FTP client
Name:		ncftp
Version:	3.2.5
Release:	%mkrel 1
Group: 		Networking/File transfer
URL:		http://www.ncftp.com/
BuildRequires:	ncurses-devel
License:	Artistic
Source0:	ftp://ftp.ncftp.com/ncftp/ncftp-%{version}-src.tar.xz
Patch0:		ncftp-confirm.patch
Patch3: 	ncftp-3.0.3-resume.patch
Patch5:		ncftp-3.1.9-suspend.patch
Patch7:		ncftp-3.1.1-EPLF.diff
Patch8:		ncftp-3.2.3-fix-help-cmd.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes: 	%{name} < %version
Requires:	glibc >= 2.12.1
Requires:	libstdc++6 >= 4.5.2

%description
Ncftp is an improved FTP client.  Ncftp's improvements include support
for command line editing, command histories, recursive gets, automatic
anonymous logins and more.

%prep

%setup -q
%patch0 -p0 -b .confirm 
%patch3 -p1 -b .resume
%patch5 -p1 -b .suspend
%patch7 -p0 -b .eplf
%patch8 -p1 -b .help

%build
%configure \
    --enable-signals \
    --enable-ipv6
%make

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}{%{_bindir},%{_mandir}/man1}

%makeinstall_std

find doc -type f -exec chmod 0644 {} \;

rm -f doc/*windows.txt

%clean
rm -fr %{buildroot}

%files
%defattr(-,root,root)
%doc doc/*.txt README.txt
%{_bindir}/*
%{_mandir}/*/*


%changelog
* Wed May 18 2011 Texstar <texstar at gmail.com> 3.2.5-1pclos2011
- update for 2010/2011 release

